The report a run sent, as a printable HTML page. A client uptime report is its branded document.
GET
/reports/runs/{id}/document
const url = 'https://api.siteqwality.com/reports/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/document';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/reports/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/document \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Run id
Responses
Section titled “ Responses ”The report (HTML)
Media type text/html
Missing or invalid authentication
Run not found, or it stored no report
Internal server error